@font-face {
    font-family: mplus;
    src: url("fonts/MPLUS1p-Light.ttf");
}

::-webkit-scrollbar {
    width: 5px;
    height: 8px;
    background-color: #aaaaaa;
    /* or add it to the track */
}

::-webkit-scrollbar-thumb {
    background: black;
}

body {
    margin: 0;
    padding: 0;
    font-family: mplus;
    color: #666;
}

body.intro {
    background: #000;
    height: 100vh;
    overflow: hidden;
}

.video-container {
    margin: -5px auto;
}

video {
    width: 100%;
}

.language-selection {
    position: absolute;
    display: flex;
    right: 10px;
    top: 10px;
    gap: 16px;
    color: #fff;
    font-size: 22px;
}

.language-selection .greek {
    cursor: pointer;
}

.language-selection .french {
    cursor: pointer;
}
.language-selection.homepage{
    left:50%;
    top:50%;
    transform: translate(-50%, -50%);
    right: unset;
}

img {
    width: 100%;
}

.form-container {
    display: flex;
    flex-direction: column;
    /* Στοιχίζει τα πεδία της φόρμας κάθετα */
    justify-content: center;
    /* Κεντράρει κάθετα (στον κύριο άξονα) */
    align-items: center;
    /* Κεντράρει οριζόντια (στον δευτερεύοντα άξονα) */

    width: 50%;
    margin: auto;
    /* Κεντράρει το ίδιο το container στη σελίδα */
    min-height: 100vh;
    /* Δίνει ύψος ίσο με την οθόνη για να δουλέψει το vertical center */
}

.form-title {
    font-size: 30px;
    margin: 30px auto;
}

.form-question {
    margin: 30px auto;
    font-size: 18px;
}

textarea.answer {
    width: 100%;
    margin-top: 22px;
    font-family: mplus;
}

input {
    font-family: mplus;
    flex: 1;
    width: 100%;
    padding: 0;
    margin: 0px;
    border: none;
    border-bottom: 1px solid;
    font-size: 22px;
    height: 24px;
}

input:focus-visible {
    outline: none;
}

input[type='text'] {
    color: #666 !important;
}

input:-webkit-autofill,
input:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0px 1000px #ffffff inset;
}

button {
    cursor: pointer;
    background: #96b0cb;
    padding: 10px 15px;
    margin: auto;
    font-size: 30px;
    border: none;
    border-radius: 15px;
    color: #fff;
}

table {

    width: 100%;
    border-collapse: collapse;

}

td,
th {

    border: 1px solid #ccc;
    padding: 10px;

}

th {
    background: #96b0cb;
    color: #fff;
    font-size: 18px;
    width: 16.6666666667%;
}

.results-table {
    width: 70%;
    margin: auto;
}

.results-table button {
    cursor: pointer;
    background: #96b0cb;
    padding: 5px 10px;
    margin: auto;
    font-size: 20px;
    border: none;
    border-radius: 15px;
    color: #fff;
}

.results-table form {
    margin-bottom: 50px;
}

input[type="date"] {
    width: 20%;
}

#message {
    text-align: center;
    font-size: 26px;
    line-height: 1;
    padding: 10px;
}


.container {
    width: 70%;
    margin: auto;
}

.top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 1;
    margin: 50px auto;
}

.love {
    font-size: 100px;
    font-weight: bold;
    color: black;
    flex: 1;
    line-height: 1.1;


}

.dates {
    flex: 4;
    font-size: 22px;
    line-height: 1.3;
    margin-top: 25px;
    text-align: right;
}

.tickets {
    font-size: 22px;
    position: fixed;
    top: 15px;
    right: 20px;
    color: red;
    font-weight: bold;
}

.tickets a{
   text-decoration:none;
    color: red;
    font-weight: bold;
}

.paragraph {
    margin: 50px auto;
    line-height: 1.7;
}

.main-text {
    font-size: 18px;
    text-align: justify;
}

.login {
    position: absolute;
    width: 20%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    padding: 25px;
    box-shadow: 0px 0px 5px #000;
    border-radius: 15px;
}

.login input {
    margin: 15px auto;
}

.login button {
    padding: 5px 10px;
    font-size: 20px;
}

.login button {
    padding: 5px 10px;
    font-size: 20px;
    margin: auto;
    text-align: center;
    margin-top: 10px;
    width: fit-content;
    display: block;
}

@media only screen and (max-width: 1024px) {
    
    .login {
        width: 80%;
    }
    .language-selection {
        right: 10px;
        top: 10px;
        font-size: 19px;
    }
    .form-title{
        font-size:26px;
    }
    .video-container {
        overflow: hidden;
        display: flex;
        /* Ενεργοποιεί το Flexbox */
        justify-content: center;
        /* Κεντράρει οριζόντια */
        align-items: center;
        /* Κεντράρει κάθετα (προαιρετικό) */
        height: 100vh;
        margin: 0;
        /* Αν θες να πιάνει όλο το ύψος της οθόνης */
    }

    video {
        width: 400%;
        /* Διατηρεί το ζουμ */
        min-width: 400%;
        /* Διασφαλίζει το πλάτος */
        flex-shrink: 0;
        /* Εμποδίζει το flex να το μικρύνει */
    }

    .form-container {
        width: 90%;
        margin-top: 20px;
    }

    .container {
        width: 90%;
        margin: auto;
    }

    .top {
        display: block;
        margin: auto;
    }

    .tickets {
        font-size: 20px;
        top: 0;
        right: 0;
        width: 100%;
        text-align: right;
        padding: 10px 10px;
        background: #fff;
    }

    .dates {
        margin-top: 20px;
        font-size: 16px;
        text-align: left;
        font-weight: bold;
    }

    .main-text {
        font-size: 18px;
        text-align: left;
    }

    .paragraph {
        margin: 50px auto;
        line-height: 1.4;
        font-size: 17px;
    }

    .love {
        font-size: 50px;
        margin-top: 50px
    }

    .results-table {
        width: 90%;
        margin: auto;
    }
    input[type="date"] {
    width: 100%;
}
}